
/* CONTAINER -------------------------------------------------------------- */

.auth-container {
    display: flex;
    flex-direction: column;
    justify-content: center;

    height: 70vh;
    width: 30%;
    min-width: 280px;
    
    margin: 0 auto;
    padding: 30px;

    text-align: center;

    background-color: rgba(0, 0, 0, 0.8);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    border-radius: 12px;
}

/* INPUT -------------------------------------------------------------------*/

.auth-container input {
    width: 100%;

    margin: 5px 0 10px;
    padding: 12px;
    box-sizing: border-box;

    font-size: 16px;

    background-color: transparent;
    color:white;
    
    border: 1px solid #21a04b;;
    border-radius: 6px;
}

.auth-container input:focus {
    border-color: #3ba75f; 
    box-shadow: 0 0 8px rgba(57, 98, 63, 0.4);
    outline: none; 
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

/* SUBMIT BUTTON -----------------------------------------------------------*/
.user-submit {
    width: 100%;

    margin-top: 25px;
    margin-right: 0;

    padding: 12px;

    font-size: 16px;
    font-weight: bold;
    
    background-color: #168a3c;
    color: white;

    border: 0;
    border-radius: 6px;

    cursor: pointer;
    transition: background 0.3s;
}

.user-submit button:hover {
    background-color: #114924;
    color: rgb(184, 191, 188);
}

.auth-container p {
    margin-top: 20px;
    font-size: 14px;
    color: #666;
}

.auth-container a {
    color: #21a04b;
    text-decoration: none;
}

.input-user-box {
    background-color: transparent;
    display: flex;
    flex-direction: column;
    padding: 15px;
}

.error-toast {
    margin-bottom: 15px;
    padding: 10px;

    font-size: 14px;

    background-color: #ff4d4d;
    color: white;

    border-radius: 5px;
        
    animation: fadeOut 4s forwards;
}

@media (max-width: 450px) {
 
    .auth-container{
        min-width: 80%;
    }
}
